* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family:  'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;

}
body {
  background-color: #f5f5f5;
}
nav{
  position: static;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 20px;
    padding-left: 10%;
    padding-right: 10%;
}
nav img{
    padding: 1%;
    margin-left: -20%;
    margin-right: 21%;
}
.logo{
    display: flex;
    align-items: center;
    margin-top: -3%;
}
.logopic{
  display: flex;
  flex-direction: row;
}
nav ul li{
list-style-type: none;
display: inline-block;
padding: 10px 20px;
}
nav ul li a{
    color: black;
    text-decoration: none;
    font-weight: bold;
}
nav a{
  position: relative;
  font-size: 16px;
  color: black;
  font-weight: 500;
  text-decoration: none;
  margin-left: 15px;
}
a{
  position: relative;
  font-size: 18px;
  color: black;
  font-weight: 500;
  text-decoration: none;
  margin-left: 15px;
}
nav a::before{
  content: '';
  position: absolute;
  top: 100%;
  left: 0;
  width: 0;
  height: 3px;
  background-color:  #42a4c2;
  transition: .3s;
}
nav a:hover::before{
  width: 100%;
}
nav ul li a:hover{
    color: #42a4c2;
    transition: .3s;
}
.menu{  
   margin-right: -5%;
}
.menu i {
    font-size: 35px; 
    cursor: pointer;
}
.sub-menu-wrap {
  position: absolute;
  top: 80px; 
  right: 50px; 
  width: 250px;
  max-height: 0px;
  overflow: hidden;
  transition: 1s;
  z-index: 1000;
  border-radius:  0% 100% 0% 100% / 86% 9% 91% 14% ;
  background: rgba( 242, 130, 160, 0.1 );
  box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
  backdrop-filter: blur( 5px );
  -webkit-backdrop-filter: blur( 5px );
  
}
.sub-menu-wrap.open-menu {
  max-height: 400px;
}
.sub-menu{
  background: rgba( 242, 130, 160, 0.1 );
  box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
  backdrop-filter: blur( 5px );
  -webkit-backdrop-filter: blur( 5px );
  padding: 20%;
  
}
.user-info{
  display:flex;
  align-items: center;
}
.user-info img{
  border-radius: 50%;
  height: 10px;
  width: 10px;
}
user-info h2{
  font-weight: 500;
}
.user-info img{
  height: 60px;
  width: 60px;
 margin-right: 15px;
}
.sub-menu hr{
  border: 0;
  height: 1px;
  width: 100%;
  background: #000000;
  margin: 15px 0 10px;
}
.sub-menu-link{
  display: flex;
  align-items: center;
  text-decoration: none;
  color:#000000;
  margin: 12px 0;

}
.sub-menu-link p{
  color: #000000;
  width: 100%;
  transition: 0.2s;  
}
.sub-menu-link img{
  width: 40px;
  height: 40px;
  background: #e5e5e5;
  border-radius: 50%;
  padding: 8px;
  margin-right: 15px;
}
.sub-menu-link span{
  font-size: 22px;
  transition: transform 0.5s;
}
.sub-menu-link:hover span{
  transform: translateX(5px);
  color: #000;
}
.sub-menu-link:hover p{
  font-weight: 700;
  font-size: 18px;
  transition: 0.6s;
}

.checkbox-group {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-bottom: 20px;
}

.checkbox-group input[type="radio"] {
  margin-right: 5px;
  width: 20px;
}

.checkbox-group label {
  font-size: 1.2rem;
  color: #333;
}

fieldset {
  border: none;
  margin: 10px 0;
  text-align: center;
}

legend {
  font-size: 1.6rem;
  color: #f13265;
  margin-bottom: 10px;
}

.main-content {
            display: flex;
            flex-direction: column;
            align-items: center;
            padding: 20px 10%;
        }

        .intro {
            background: linear-gradient(135deg, #f13265,  #42a4c2);
            color: #ffffff;
            padding: 30px;
            border-radius: 15px;
            box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.1);
            text-align: center;
            width: 100%;
            max-width: 600px;
            margin-bottom: 20px;
        }

        .intro h1 {
          color: #fff;
            font-size: 2.5rem;
            margin-bottom: 10px;
        }

        .intro p {
            font-size: 1.3rem;
            line-height: 1.6;
        }

        .form-section {
            background-color: #ffffff;
            padding: 40px;
            border-radius: 15px;
            box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1);
            width: 100%;
            max-width: 600px;
        }

        .cadastro-form {
            display: flex;
            flex-direction: column;
            gap: 20px;
        }

        .input-group {
            position: relative;
            width: 100%;
        }

        .input-group i {
            position: absolute;
            top: 50%;
            left: 15px;
            transform: translateY(-50%);
            font-size: 1.5rem;
            color: #666;
        }

        .input-group input,
        .input-group textarea,
        .input-group select {
            width: 100%;
            padding: 15px 20px 15px 60px;
            border: 2px solid #ddd;
            border-radius: 10px;
            background-color: #f9f9f9;
            font-size: 16px;
            transition: border 0.3s;
        }

        .input-group input:focus,
        .input-group textarea:focus,
        .input-group select:focus {
            border: 2px solid #f13265;
        }

        .submit-btn {
            padding: 15px;
            background: linear-gradient(135deg, #f13265, #f282a0);
            color: white;
            border: none;
            border-radius: 10px;
            font-size: 1.2rem;
            cursor: pointer;
            transition: background 0.5s;
        }

        .submit-btn:hover {
          transition: 0.9s;
            background: linear-gradient(135deg, #f282a0, #f13265);
        }

        .custom-file-upload {
          display: inline-block;
          padding: 15px 30px;
          cursor: pointer;
          background-color: #f282a0;
          color: white;
          border-radius:30px;
          font-size: 1.2rem;
          transition: background-color 0.3s;
        }
        
        .custom-file-upload:hover {
          transition: 0.5s;
          background-color: #f13265;}

    
        #preview {
          display: none; /* Inicialmente oculto */
          width: 100%; /* 100% da largura do contêiner pai */
          max-width: 400px; /* Largura máxima */
          height: 400px; /* Altura fixa */
          object-fit: cover; /* Faz a imagem cobrir todo o espaço, mantendo a proporção */
          margin-top: 20px; /* Espaçamento acima */
          border-radius: 10px; /* Bordas arredondadas */
          box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.2); /* Sombra para destaque */
          border: 2px solid #ddd; /* Borda para definição */
          
      }
      .preview-container {
        display: flex; /* Usar flexbox para centralização */
        justify-content: center; /* Centraliza horizontalmente */
        margin-top: 5px; /* Espaçamento acima do contêiner */
    }
      
        .input-group2 {
          display: flex;
          align-items: center; /* Alinha verticalmente os itens no centro */
          gap: 150px; /* Espaço entre o ícone e o botão */
      }
      
      .input-group2 i {
          font-size: 1.5rem; /* Tamanho do ícone */
          color: #666; /* Cor do ícone */
      }
      
      .custom-file-upload {
          padding: 15px 25px; /* Ajuste o espaçamento conforme necessário */
          cursor: pointer;
          background-color: #f282a0; /* Cor de fundo do botão */
          color: white; /* Cor do texto */
          border-radius: 10px; /* Borda arredondada */
          font-size: 1rem; /* Tamanho da fonte */
          transition: background-color 0.3s; /* Transição suave na cor */
          border: none; /* Sem borda */
      }
      
      .custom-file-upload:hover {
          background-color: #f13265; /* Cor ao passar o mouse */
      }


      
      @media (max-width: 768px) {
        nav {
          padding: 0 5%; /* Reduz o padding para telas menores */
        }
        
        nav img {
          margin-left: 0;
          margin-right: 0;
        }
        
        .logopic {
          flex-direction: column; /* Alinhar logotipo verticalmente em telas pequenas */
          margin-bottom: 10px;
        }
        
        nav ul {
          display: none; /* Ocultar menu em telas pequenas */
          flex-direction: column;
        }
        
        .menu {
          display: block; /* Mostrar ícone do menu */
          cursor: pointer;
          font-size: 2rem;
        }
        
        .menu i {
          font-size: 35px;
          cursor: pointer;
        }
        
        /* Mostrar menu ao clicar */
        .menu.open {
          display: flex;
          justify-content: space-around;
        }
      
        .sub-menu-wrap {
          position: static;
          right: 0;
          width: 100%; /* Tornar o submenu de largura total em telas pequenas */
        }
      
        /* Ajustar formulário */
        .form-section {
          width: 90%; /* Reduz a largura do formulário em telas menores */
          padding: 20px;
        }
        
        .intro h1 {
          font-size: 2rem; /* Ajuste para telas pequenas */
        }
      
        .intro p {
          font-size: 1.1rem; /* Reduzir o texto em telas menores */
        }
      
        .checkbox-group {
          flex-direction: column; /* Ajustar as opções de checkbox verticalmente */
        }
      
        .input-group2 {
          gap: 30px; /* Ajuste de espaçamento no upload de arquivo */
        }
      
        /* Ajuste da imagem de pré-visualização */
        #preview {
          max-width: 100%; /* Adapta a imagem ao tamanho do contêiner */
          height: auto; /* Permitir altura variável */
        }
      }
      
      /* Para telas pequenas (max-width 480px) */
      @media (max-width: 480px) {
        .intro {
          padding: 10px;
        }
      
        .intro h1 {
          font-size: 1.5rem;
        }
      
        .form-section {
          padding: 10px;
          width: 100%;
        }
      
        .input-group {
          padding: 10px 10px 10px 40px; /* Reduzir espaçamento em inputs */
        }
      
        .submit-btn {
          padding: 10px;
          font-size: 1rem;
        }
      
        .custom-file-upload {
          font-size: 0.9rem;
          padding: 10px 20px;
        }
      }

      #mensagem {
        transition: all 0.50s;
        background: #FFF;
        border: #f13265 solid 1px;
        box-shadow: 1px 1px 5px rgba(0,0,0,.52);
        position: fixed;
        top: -100px;
        width: 50%;
        height: 15%;
        padding: 35px 0;
        text-align: center;
        left: 25%;
        opacity: 0;
        font-size: 2.1rem;
        font-family:"Times New Roman", Georgia, Serif"
        
        
      }
      
      #mensagem.ver {
        top: 90px;
        opacity: 1;
      }